<?php 
include("includes/FCKeditor/fckeditor.php");
$file_name		= "index?page=view";
$form_action	= "insert";
$button_value 	= "Add";
$table_name 	= "shift_assignment";
$page_name      = "Assign Shift";
$id	 = "";
$vat = "";
$query_string = "";

################################################## START INSERT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'insert'){	
	utility::addslashesOnAllInput(array("query_string","shift_id"));
	
    $employee_name_id 	        = $_REQUEST['employee_name_id']; 
    $shift_id					= implode(",",$_REQUEST['shift_id']);
    $created_by			= $_SESSION['user_id'];
	$created_on			= date("Y-m-d H:i:s");	
	$updated_by			= $_SESSION['user_id'];

	$sql = "employee_name_id = '".$employee_name_id."',shift_id = '".$shift_id."',created_on = '".$created_on."', created_by = '".$created_by."', updated_by = '".$updated_by."'";

	$sql= "INSERT INTO $table_name SET ".$sql;
	mysqli_query($conn,$sql);
	$shift_assignment_id = mysqli_insert_id($conn);
	
	if(count($_REQUEST['shift_id']) > 0){
		foreach($_REQUEST['shift_id'] as $shift_id){
			$sql_shift_insert= "INSERT INTO shift_assign_mapping (shift_assignment_id,shift_id,created_by,created_on,updated_by) VALUES('$shift_assignment_id','$shift_id','$created_by','$created_on','$updated_by')";			
			mysqli_query($conn,$sql_shift_insert);
		}
	} 
	
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	$_SESSION['info_message'] = "Shift assigned successfully";
    header("Location: $file_name");
    exit();
}
################################################# END INSERT #################################################

################################################## START EDIT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit'){	
	$id = $_REQUEST['id'];

	$form_action 	= "update";
	$button_value 	= "Update";
	$page_name      = "Edit";
	$query_string 	=  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
	
	
    $sql= "SELECT * FROM $table_name WHERE id = $id";
    $result_edit = mysqli_query($conn,$sql);
    $row_edit = mysqli_fetch_array($result_edit);

	$employee_name_id 	        = $row_edit['employee_name_id']; 
    $shift_id					= explode(",",$row_edit['shift_id']);
}
################################################# END EDIT ################################################# 


################################################## START UPDATE ################################################## 
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'update'){    
	utility::addslashesOnAllInput(array("query_string","shift_id"));
	$id 						= $_REQUEST['id'];  
	$employee_name_id				= $_REQUEST['employee_name_id'];
	$shift_id					    = implode(",",$_REQUEST['shift_id']);
	$updated_by		= $_SESSION['user_id'];
	
    $sql = "employee_name_id = '".$employee_name_id."',shift_id = '".$shift_id."', updated_by = '".$updated_by."'";
	$sql= "UPDATE $table_name SET ".$sql." WHERE id = '".$id."'";
	
    mysqli_query($conn,$sql);
	  if(count($_REQUEST['shift_id']) > 0){
		$created_by		= $_SESSION['user_id'];
		$created_on		= date("Y-m-d H:i:s");
		mysqli_query($conn,"DELETE FROM shift_assign_mapping WHERE shift_assignment_id = $id ");
		foreach($_REQUEST['shift_id'] as $shift_id){
			$sql_shift_insert= "INSERT INTO shift_assign_mapping (shift_assignment_id,shift_id,created_by,created_on,updated_by) VALUES('$id','$shift_id','$created_by','$created_on','$updated_by')";
			mysqli_query($conn,$sql_shift_insert);
		}
	}
	
	$query_string = (isset($_REQUEST['query_string']) && !empty($_REQUEST['query_string'])) ? $_REQUEST['query_string'] : "";
  	$query_string = str_ireplace("page=add", "page=view", $query_string);
	$query_string = "&".$query_string;
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	$_SESSION['info_message'] = "Shift updated successfully";
    header("Location: $file_name$query_string");
    exit();
}
################################################# END UPDATE ################################################# 
?>
<style>
em{color:red;font-size: 20px;position: absolute;}
</style>
<section class="content-header">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-6">
				<h1>
					<?=$page_name;?>
				</h1>
			</div>
			<div class="col-sm-6">
			<?
			$query_string 	=  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
			if(isset($from) && $from == "view_raw_materials_details"){
				$query_string = str_ireplace("page=add", "page=view_raw_materials_details", $query_string);
			}else {
				$query_string = str_ireplace("page=add", "page=view", $query_string);
			}
				
			?>
			<button type="button" id="back" name="back" value="back"  style="float:right;margin-right:5px;margin-bottom:8px;" class="btn btn-primary" onclick="window.location.href = 'index?<?=$query_string;?>'">Back</button>
			</div>
		</div>
	</div>
</section>
<section class="content">
	<div class="row">
		<div class="col-lg-12">
			<!-- general form elements -->
              <div class="card box-primary">
                <form class="form-horizontal" method="post" name="form1" id="form1" action="index?page=add&action=<? echo $form_action; ?>" onsubmit="return validateForm(this)" enctype="multipart/form-data">
                  <div class="card-body">
				    <div class="row">
                    <div class="form-group col-lg-6">
                      <label for="Employee Name" class="control-label">Employee Name<em>*</em></label>
                      <div class="">
                        <? $gsi->getEmployeeList("employee_name_id", $employee_name_id, "100%", false, "form-control","required"); ?>
                      </div>
                    </div>
					<div class="form-group col-lg-6">
						<label for="Description" class="control-label">Shift Assign<em>*</em></label>
						<div class="">
							<? $gsi->getShiftList("shift_id",$shift_id,"100%",true,"form-control select2","required"); ?>
						</div>
					</div>
					</div>
                  </div><!-- /.box-body -->
                  <div class="card-footer">
					<input type="hidden" id="id" name="id" value="<?php echo $id;?>">
					<input type="hidden" id="query_string" name="query_string" value="<?php echo $query_string;?>">
                    <button type="submit" id="submit" name="submit" value="<?php echo $button_value;?>" class="btn btn-primary">Submit
						<i class="fas fa-sync-alt fa-spin" style="display:none;" id="page_load_div"></i>
					</button>
                  </div>
                </form>
              </div><!-- /.box -->
		</div>
	</div>
</section>
<script type="text/javascript">
$(document).ready(function(){
	$("#form1").submit(function() {
		$("#submit").attr("disabled", true);
		$('#page_load_div').show();
		//return true;
	});
	$("#form1").on("blur","#type",function(){	
		var type = $(this).val();
		var type = $("#type").val();
		var id = $("#id").val();
		if(type != ""){
		var form_data   = {'type':type,'id':id};       
			$.ajax({
				async: false,
				type: "POST",
				url: site_url+"/type/index?page=ajax_actions&action=check_type_exist",
				data: form_data,
				success: function(result){          
					var resultObj = jQuery.parseJSON(result); 
					if(resultObj.status == "failure"){
						//alert("This type already in system");
						$("#type_check").show();
						$("#type_check").html("This type already in system.");
						//$("#email").val("");
						$("#type").focus();
					}else{
						$("#type_check").html("");
						$("#type_check").hide();
					}
				}
			});
		}
	});
});
</script>